/*
 * startwindow.h
 *
 * Copyright (C) 2004-2005 Jürgen Kofler <kaffeine@gmx.net>
 * Copyright (C) 2006-2007 Christophe Thommeret <hftom@free.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA
 */

#ifndef STARTWINDOW_H
#define STARTWINDOW_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <tqtoolbutton.h>
#include <tqstring.h>
#include <tqptrlist.h>
#include <tqlabel.h>

class MToolButton : public TQToolButton
{
	TQ_OBJECT
  

public:
	MToolButton( TQWidget *parent, const TQString& targ );
	~MToolButton();

	TQString target;

private slots:
	void mClicked();

signals:
	void executed( const TQString& );
};



class SLabel : public TQLabel
{
	TQ_OBJECT
  

public:
	SLabel( TQWidget *parent );
	~SLabel() {}

protected:
	void paintEvent( TQPaintEvent * );
};



class StartWindow : public TQWidget
{
	TQ_OBJECT
  

public:
	StartWindow( TQWidget *parent = 0, const char *name = 0 );
	virtual ~StartWindow();

	void registerTarget( const TQString& uiName, const TQString& pixName, const TQString& targetName );
	void unregisterTarget( const TQString& targetName );
	void execTarget( int index );

protected:
	virtual void resizeEvent(TQResizeEvent*);

private:
	void arrangeButtons( TQSize e );

	TQPtrList<MToolButton> buttons;
	TQWidget *panel;
	SLabel *label1, *label2;

signals:
	void execTarget( const TQString& );
};

#endif /* STARTWINDOW_H */
